#### Previous topic

scipy.linalg.logm

#### Next topic

scipy.linalg.sinm

# scipy.linalg.cosm

`scipy.linalg.``cosm`(A)

  Compute the matrix cosine.

  This routine uses expm to compute the matrix exponentials.

  Parameters:

  A : (N, N) array_like

  > Input array

  Returns:

  cosm : (N, N) ndarray

  > Matrix cosine of A

  Examples

      >>> from scipy.linalg import expm, sinm, cosm

  Euler’s identity (exp(i*theta) = cos(theta) + i*sin(theta)) applied to a matrix:

      >>> a = np.array([[1.0, 2.0], [-1.0, 3.0]])
      >>> expm(1j*a)
      array([[ 0.42645930+1.89217551j, -2.13721484-0.97811252j],
             [ 1.06860742+0.48905626j, -1.71075555+0.91406299j]])
      >>> cosm(a) + 1j*sinm(a)
      array([[ 0.42645930+1.89217551j, -2.13721484-0.97811252j],
             [ 1.06860742+0.48905626j, -1.71075555+0.91406299j]])